After create a postgis layer and filldata, Qgis dont display attributes

2006-06-04 12:14 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Brendan Morley -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10193

Description

Dear sirs,

We are beginning to use QGis, however we have some problems that could be errors on your software.

We have the Windows version (0.7.3) and when connect to Postgis, we select the layer (previous created with SQL statement) and edit

some points.

After stop editing and save, we leave Qgis and if we enter again on Qgis and ask for that postgis layer, Qgis recognize the database

records but it can’t display the information stored on those records, leaving fields blank on attribute table.

Can you help us?

Best regards,

Abílio Magalhães

    -   POSTGIS LAYER:::

CREATE TABLE cli_abm

(

  numregisto int8 NOT NULL,

  geom geometry,

  nome_cliente varchar(255),

  CONSTRAINT pri_cli_abm PRIMARY KEY (numregisto),

  CONSTRAINT enforce_dims_geom CHECK (ndims(geom) = 2),

  CONSTRAINT enforce_geotype_geom CHECK (geometrytype(geom) = 'POINT'::text OR geom IS NULL),

  CONSTRAINT enforce_srid_geom CHECK (srid(geom) = -1)

) 

WITHOUT OIDS;

ALTER TABLE cli_abm OWNER TO postgres;

History

#1 - 2006-06-28 02:16 AM - Gavin Macaulay -

I think that this has been fixed in the latest SVN (#5553) version of Qgis, and is related to ticket #153. We will hopefully have a preliminary release of 0.8

available soon that incorporates this fix.

#2 - 2006-07-10 08:21 PM - Brendan Morley -

- Status changed from Open to In Progress
I am currently doing some work in subversion HEAD version that should fix this if it hasn't already been fixed.  It should be committed in the next few days.

#3 - 2006-08-11 04:47 PM - Brendan Morley -

I think I've worked out the "spirit" of this bug, at least with regards to SVN HEAD.

If the attributes are edited via the attributes table, the changes "take" when saved.

If the attributes are edited via the Identify window, the changes do not take.

I will continue to investigate.

#4 - 2006-08-11 04:58 PM - Brendan Morley -

The second method fails because when it commits, it tries to commit all attributes of a changed feature instead of just the changed attributes of that

changed feature (which is what the "attributes table" method already does).

In particular, the second "Identify window" method tries to set a Postgres Date type to _, which Postgres chokes on and aborts the commit.

A side issue is that the Postgres provider then doesn't report the error, which it should.

#5 - 2006-08-13 03:23 AM - Brendan Morley -

- Status changed from In Progress to Closed

- Resolution set to fixed

should fix this, I have put a full writeup on the commit message to .

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
